Imports System
Imports System.IO

Module Example

    Sub Main()

        Dim document As Siberix.Sparkle.PDF.Document = New Siberix.Sparkle.PDF.Document()

        document.Info.Title = "Example"
        document.Info.Author = "Siberix Technologies, Canada"
        document.Info.Creator = "Siberix PDF Sparkle for .NET"

        document.DisplayMode = Siberix.Sparkle.PDF.DisplayMode.Bookmarks

        document.AddPage()
        document.AddPage()

        document.AddBookmark(0, 0, 0, "Page 1", True)
        document.AddBookmark(1, 0, 0, "Page 2", True)

        document.Generate("Bookmarks.pdf")

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("Bookmarks.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
