using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			Siberix.Sparkle.PDF.Document document = new Siberix.Sparkle.PDF.Document();

			document.Info.Title = "Example";
			document.Info.Author = "Siberix Technologies, Canada";
			document.Info.Creator = "Siberix PDF Sparkle for .NET";

			Siberix.Sparkle.PDF.IPage page = document.AddPage(612, 792);

			page.Graphics.Font = new Siberix.Sparkle.Graphics.Font("../../font.ttf", 35);
			page.Graphics.Brush = Siberix.Sparkle.Graphics.Brushes.Black;
			page.Graphics.DrawString(25, 25, "ABC");

			document.Generate("LocalFont.pdf");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("LocalFont.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}