using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			Siberix.Sparkle.PDF.Document document = new Siberix.Sparkle.PDF.Document();

			document.Info.Title = "Example";
			document.Info.Author = "Siberix Technologies, Canada";
			document.Info.Creator = "Siberix PDF Sparkle for .NET";

			Siberix.Sparkle.PDF.IPage page = document.AddPage(612, 792);

			page.Graphics.Font = new Siberix.Sparkle.Graphics.Fonts.Arial(12);
			page.Graphics.Brush = Siberix.Sparkle.Graphics.Brushes.Black;
			page.Graphics.DrawString(25, 25, "Amarone is produced in the Veneto region of northern Italy using\na unique winemaking technique. Newly harvested grapes are laid\non straw mats and left to dry over the course of several months -\nresulting in a wine with a very distinctive \"raisiny\" flavor.");

			document.Generate("Text.pdf");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Text.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}