Imports System
Imports System.IO

Module Example

    Sub Main()

        Dim document As Siberix.Sparkle.PDF.Document = New Siberix.Sparkle.PDF.Document()

        document.Info.Title = "Example"
        document.Info.Author = "Siberix Technologies, Canada"
        document.Info.Creator = "Siberix PDF Sparkle for .NET"

        Dim page As Siberix.Sparkle.PDF.IPage = document.AddPage(612, 792)

        page.Graphics.Font = New Siberix.Sparkle.Graphics.Fonts.Arial(12)
        page.Graphics.Brush = Siberix.Sparkle.Graphics.Brushes.Black
        page.Graphics.DrawString(25, 25, "Amarone is produced in the Veneto region of northern Italy using" + vbCr + "a unique winemaking technique. Newly harvested grapes are laid" + vbCr + "on straw mats and left to dry over the course of several months -" + vbCr + "resulting in a wine with a very distinctive ""raisiny"" flavor.")

        document.Generate("Text.pdf")

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("Text.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
